INSERT INTO lab_test_result_data_types(description) VALUES
	('integer'),
	('decimal');

/* integer data type */
SELECT @dtid := id FROM lab_test_result_data_types WHERE description = 'integer';
UPDATE lab_test_data_type SET data_type_id = @dtid WHERE lab_test_id IN (
	SELECT id FROM lab_tests lt WHERE lt.test_name in (
		'family_id',
		'tumour_size',
		'volume_stored',
		'bm_tumour_size',
		'edta1_fluidx_vol',
		'tumour_fluidx_vol',
		'bm_dna_fluidx_vol',
		'tumour_volume_stored',
		'bm_dna_volume_stored',
		'saliva_dna_fluidx_vol',
		'saliva_dna_volume_stored'
	)
);
/* decimal data type */
SELECT @dtid := id FROM lab_test_result_data_types WHERE description = 'decimal';
UPDATE lab_test_data_type SET data_type_id = @dtid WHERE lab_test_id IN (
	SELECT id FROM lab_tests lt WHERE lt.test_name in (
		'tumour_sample_id',
		'oragene_tube_1',
		'bm_sample_id',
		'paxgene_rna',
		'edta1',
		'edta2',
		'pst',
		'sst'
	)
);